## TeplApplication TeplApplication — An extension of GtkApplication |

## Functions

TeplApplication * | tepl_application_get_from_gtk_application ()
TeplApplication * | tepl_application_get_default ()
GtkApplication * | tepl_application_get_application ()
AmtkActionInfoStore * | tepl_application_get_app_action_info_store ()
AmtkActionInfoStore * | tepl_application_get_tepl_action_info_store ()
void | tepl_application_open_simple ()

## Properties

GtkApplication * | application | Read / Write / Construct Only

## Types and Values

| TeplApplication

## Object Hierarchy

        GObject
        ╰── TeplApplication

## Includes

    #include <tepl/tepl.h>

## Description

TeplApplication extends the GtkApplication class.

Note that TeplApplication extends the GtkApplication class but without subclassing it, because several libraries might want to extend GtkApplication and an application needs to be able to use all those extensions at the same time.

## Functions

### tepl_application_get_from_gtk_application ()

    TeplApplication *
    tepl_application_get_from_gtk_application
                                   (GtkApplication *gtk_app);

Returns the TeplApplication of `gtk_app` . The returned object is guaranteed to be the same for the lifetime of `gtk_app` .

#### Parameters

gtk_app | a GtkApplication. |

#### Returns

the TeplApplication of `gtk_app` .

[transfer none]

Since: 2.0

### tepl_application_get_default ()

    TeplApplication *
    tepl_application_get_default (void);

Convenience function that calls `g_application_get_default()` followed by `tepl_application_get_from_gtk_application()`. The object returned by `g_application_get_default()` must be a GtkApplication.

#### Returns

the default TeplApplication.

[transfer none]

Since: 2.0

### tepl_application_get_application ()

    GtkApplication *
    tepl_application_get_application (TeplApplication *tepl_app);

#### Parameters

tepl_app | a TeplApplication. |

#### Returns

the GtkApplication of `tepl_app` .

[transfer none]

Since: 2.0

### tepl_application_get_app_action_info_store ()

    AmtkActionInfoStore *
    tepl_application_get_app_action_info_store
                                   (TeplApplication *tepl_app);

Returns an initially empty AmtkActionInfoStore reserved for the application-specific actions. Libraries should not add AmtkActionInfo's to this store. Libraries should provide their own store if they want to share AmtkActionInfo's.

#### Parameters

tepl_app | a TeplApplication. |

#### Returns

the AmtkActionInfoStore reserved for the application.

[transfer none]

Since: 2.0

### tepl_application_get_tepl_action_info_store ()

    AmtkActionInfoStore *
    tepl_application_get_tepl_action_info_store
                                   (TeplApplication *tepl_app);

The returned AmtkActionInfoStore contains AmtkActionInfo's for all the GAction's listed in the class description of TeplApplicationWindow.

#### Parameters

tepl_app | a TeplApplication. |

#### Returns

the AmtkActionInfoStore of the Tepl library.

[transfer none]

Since: 3.0

### tepl_application_open_simple ()

    void
    tepl_application_open_simple (TeplApplication *tepl_app,
                                  GFile *file);

Calls `g_application_open()` with a single file and an empty hint.

#### Parameters

tepl_app | a TeplApplication. |
file | a GFile. |

Since: 2.0

## Types and Values

### TeplApplication

    typedef struct _TeplApplication TeplApplication;

## Property Details

### The `“application”` property

      “application”              GtkApplication *

The GtkApplication.

Flags: Read / Write / Construct Only

Since: 2.0